@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Sriracha&display=swap");

:root {
  --defaut: #ebdcfb;
  --highlight: #7b2cbf;
  --bg-color: #f4ecff;
  --txt-title: #3e0d63;
  --txt-p: #857c91;
  --button: #d8b4f8;
  --card: #faf7ff;
  --border: #faf7ff;
  --hover: #3c2363;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
}

body {
  height: 100vh;
  background-color: var(--bg-color); /* fundo padrão */
  display: flex;
  justify-content: center;
  align-items: center;
}

form {
  display: flex;
  flex-direction: column;
  gap: 15px;
  width: 300px;
}

form img {
    width: 220px;
    margin: auto;
}

h2 {
  text-align: center;
  margin-bottom: 10px;
}

input {
  padding: 10px;
  border: 1px solid var(--border);
  border-radius: 5px;
  outline: none;
}

placeholder {
    color: var(--txt-p);
}

button {
  padding: 10px;
  border: none;
  background-color: var(--button);
  color: white;
  cursor: pointer;
  border-radius: 5px;
}

button:hover {
  background-color: var(--hover);
}

#erro {
  color: red;
  font-size: 14px;
  text-align: center;
}